/**
*Description - Use PCML to call iSeries ILE program
*/
import java.math.*;
import java.util.*;

import javax.servlet.http.*;
import org.apache.struts.action.*;
import com.ibm.iseries.webint.*;

public class WitOrderAction extends ISeriesAction {
	public WitOrderAction() {
		super();
		setProgramName("GetItem");
		setPcmlName("SV000618");
		setInvalidateSession(false);
		addFlowControlItem("OK", "GetCost");
		addFlowControlItem("NOTOK", "nosel");
		handleSubfile("SFL1");
		setOutputPage("GetCost");
	}

	public ActionForward perform(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response) {
		try {
			preprocessing(request, response, form);

			HttpSession session = request.getSession();

			WitOrderInputForm inputForm = (WitOrderInputForm) form;
			ProgramRecord_GetItem dataBean = new ProgramRecord_GetItem();
			dataBean.setSubfile("");

			dataBean.setSubfile("SFL1");
			processDebugging(request, form);
			WitOrderOutputForm resultsForm = new WitOrderOutputForm();
			invokeHostProgram(request, dataBean, form, resultsForm);

			String[] strOut = null;
			String sFlowCtrl = dataBean.getFlow().toString();
			strOut = new String[1];
			strOut[0] = dataBean.getInfo().getProdno().toString();
			session.setAttribute("prodno", strOut[0]);
			resultsForm.setValues("prodno", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getInfo().getDesc().toString();
			session.setAttribute("desc", strOut[0]);
			resultsForm.setValues("desc", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getInfo().getCost().toString();
			session.setAttribute("cost", strOut[0]);
			resultsForm.setValues("cost", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getInfo().getRetail().toString();
			session.setAttribute("retail", strOut[0]);
			resultsForm.setValues("retail", strOut);
			strOut = new String[1];
			strOut[0] = dataBean.getInfo().getImage().toString();
			session.setAttribute("image", strOut[0]);
			resultsForm.setValues("image", strOut);
			resultsForm.setValues("itemimage", strOut);
			postprocessing(request, form, resultsForm);
			return getForward(sFlowCtrl, mapping, session);
		} catch (Exception ex) {
			handleError(request, response, ex);
			return mapping.findForward("wdt_error");
		}
	}

}