package proxy.soap;

import java.net.*;
import java.util.*;
import org.w3c.dom.*;
import org.apache.soap.*;
import org.apache.soap.encoding.*;
import org.apache.soap.encoding.soapenc.*;
import org.apache.soap.rpc.*;
import org.apache.soap.util.xml.*;
import org.apache.soap.messaging.*;

public class OrderSupplyServicesProxy
{
  private Call call = new Call();
  private URL url = null;
  private String stringURL = "http://localhost:9080/SV001586/servlet/rpcrouter";
//  private String stringURL = "http://toras07m:17301/SV001586/servlet/rpcrouter";
  private SOAPMappingRegistry smr = call.getSOAPMappingRegistry();

  public OrderSupplyServicesProxy()
  {
  }

  public synchronized void setEndPoint(URL url)
  {
    this.url = url;
  }

  public synchronized URL getEndPoint() throws MalformedURLException
  {
    return getURL();
  }

  private URL getURL() throws MalformedURLException
  {
    if (url == null && stringURL != null && stringURL.length() > 0)
    {
      url = new URL(stringURL);
    }
    return url;
  }

  public synchronized mappings.Order_OrderSupplyResultContentType OrderSupply(java.math.BigDecimal ItemNo,java.math.BigDecimal Quantity,java.lang.String Size) throws Exception
  {
    String targetObjectURI = "http://tempuri.org/order.OrderSupplyServices";
    String SOAPActionURI = "";

    if(getURL() == null)
    {
      throw new SOAPException(Constants.FAULT_CODE_CLIENT,
      "A URL must be specified via OrderSupplyServicesProxy.setEndPoint(URL).");
    }

    call.setMethodName("OrderSupply");
    call.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
    call.setTargetObjectURI(targetObjectURI);
    Vector params = new Vector();
    Parameter ItemNoParam = new Parameter("ItemNo", java.math.BigDecimal.class, ItemNo, Constants.NS_URI_SOAP_ENC);
    params.addElement(ItemNoParam);
    Parameter QuantityParam = new Parameter("Quantity", java.math.BigDecimal.class, Quantity, Constants.NS_URI_SOAP_ENC);
    params.addElement(QuantityParam);
    Parameter SizeParam = new Parameter("Size", java.lang.String.class, Size, Constants.NS_URI_SOAP_ENC);
    params.addElement(SizeParam);
    call.setParams(params);
    Response resp = call.invoke(getURL(), SOAPActionURI);

    //Check the response.
    if (resp.generatedFault())
    {
      Fault fault = resp.getFault();
      call.setFullTargetObjectURI(targetObjectURI);
      throw new SOAPException(fault.getFaultCode(), fault.getFaultString());
    }
    else
    {
      Parameter refValue = resp.getReturnValue();
      return ((mappings.Order_OrderSupplyResultContentType)refValue.getValue());
    }
  }

  {
    org.apache.soap.encoding.soapenc.BeanSerializer ser_1 = new org.apache.soap.encoding.soapenc.BeanSerializer();
    org.apache.soap.encoding.soapenc.BeanSerializer deSer_1 = new org.apache.soap.encoding.soapenc.BeanSerializer();
    smr.mapTypes("http://schemas.xmlsoap.org/soap/encoding/", new QName("http://www.ordersupplyservices.com/schemas/OrderSupplyServicesRemoteInterface","order.OrderSupplyResult"),mappings.Order_OrderSupplyResultContentType.class, ser_1, deSer_1);
  }
}
